%define oname	mozvoikko
%define name	firefox-ext-mozvoikko
%define version	1.0
%define rel	6

Summary:	Finnish spell-checking extension for Firefox 3
Name:		%name
Version:	%version
%define subrel 19
Release:	%mkrel %rel
License:	GPLv2+
Group:		Networking/WWW
URL:		http://voikko.sourceforge.net/
Source:		http://downloads.sourceforge.net/voikko/%oname-%version.tar.gz
Patch0:		mozvoikko-1.0-xulrunner-1.9.2.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	voikko-devel
BuildRequires:	xulrunner-devel
BuildRequires:	firefox-devel
# No automatic dependency on libvoikko.so.1 because it is dlopened:
Requires:	%{_lib}voikko1 >= 1.7
Requires:	firefox = %{firefox_epoch}:%{firefox_version}
Requires:	voikko-fi
Requires:	locales-fi

%description
Finnish spell-checking extension for Firefox 3 web browser. The
spell-checking is provided by the Voikko library.

%prep
%setup -q -n %oname-%version
%patch0 -p0

%build

%make -f Makefile.xulrunner extension-files \
	CFLAGS="%optflags"

%install
rm -rf %{buildroot}

%make -f Makefile.xulrunner install-unpacked \
	DESTDIR=%{buildroot}%{firefox_mozillapath}/extensions

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%{firefox_mozillapath}/extensions/{*-*}



%changelog
* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.19mdv2010.0
- rebuilt for firefox-3.6.17

* Wed Apr 06 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.18mdv2010.0
- rebuilt for firefox-3.6.16

* Mon Mar 07 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.17mdv2010.0
- rebuilt for firefox-3.6.15

* Thu Mar 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.16mdv2010.0
- rebuilt for firefox-3.6.14

* Fri Dec 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.15mdv2010.0
- rebuilt for firefox-3.6.13

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.14mdv2010.0
- rebuilt for firefox-3.6.13

* Mon Nov 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.13mdv2010.0
- rebuilt for firefox-3.6.12

* Thu Oct 21 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.12mdv2010.0
- rebuilt for firefox-3.6.11

* Sun Sep 19 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.11mdv2010.0
- rebuilt for firefox-3.6.10

* Thu Sep 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.10mdv2010.0
- rebuilt for firefox-3.6.9

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.9mdv2010.0
- rebuilt for firefox-3.6.8

* Tue Jun 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.8mdv2010.0
- rebuilt for firefox-3.6.6

* Wed Jun 23 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.7mdv2010.0
- rebuilt for firefox-3.6.4

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.6mdv2010.0
- rebuilt for firefox-3.6.3
- added a patch from cooker to make it build

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.5mdv2010.0
- rebuilt for firefox-3.5.8

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.4mdv2010.0
- rebuilt for firefox-3.5.7

* Wed Dec 16 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.3mdv2010.0
- rebuilt for firefox-3.5.6

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.2mdv2010.0
- rebuilt for firefox-3.5.5

* Wed Nov 04 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0-6.1mdv2010.0
- rebuilt for firefox-3.5.4

* Wed Sep 16 2009 Funda Wang <fundawang@mandriva.org> 1.0-6mdv2010.0
+ Revision: 443379
- fix BR
- rebuild for new ff

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0-5mdv2010.0
+ Revision: 417658
- buildrequiring xulrunner-devel seems enough for firefox 3.5 / xulrunner 1.9.1
- make use of the firefox package macros
- rebuild for firefox 3.5.2

* Thu Aug 06 2009 Funda Wang <fundawang@mandriva.org> 1.0-4mdv2010.0
+ Revision: 410507
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fundawang@mandriva.org> 1.0-3mdv2010.0
+ Revision: 405031
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fundawang@mandriva.org> 1.0-2mdv2010.0
+ Revision: 385775
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 1.0-1mdv2010.0
+ Revision: 369612
- New version 1.0

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.6-2mdv2009.1
+ Revision: 361852
- rebuild for firefox 3.0.8

* Thu Mar 12 2009 Funda Wang <fundawang@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 354100
- BR ff
- BR unstable
- New version 0.9.6

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 0.9.5-7mdv2009.1
+ Revision: 337340
- rebuild for new ff

* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 0.9.5-6mdv2009.1
+ Revision: 318910
- rebuild for new firefox

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 0.9.5-5mdv2009.1
+ Revision: 303684
- rebuild for new FF

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 0.9.5-4mdv2009.0
+ Revision: 289186
- rebuild for new FF

* Sat Sep 27 2008 Anssi Hannula <anssi@mandriva.org> 0.9.5-3mdv2009.0
+ Revision: 288949
- rebuild for new firefox

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 0.9.5-2mdv2009.0
+ Revision: 274319
- add inc dir
- rebuild for new xulrunner

* Wed Jun 18 2008 Anssi Hannula <anssi@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 226061
- initial Mandriva release

